### Method

# Gimp Palette set_columns

since: 2.4

#### Declaration [src]

    gboolean
    gimp_palette_set_columns (
      GimpPalette* palette,
      gint columns
    )

#### Description [src]

Sets the number of columns used to display the palette

Set the number of colors shown per row when the palette is displayed. Returns an error when the palette is not editable. The maximum allowed value is 64.

Available since: 2.4

#### Parameters

`columns`

  Type: `gint`

  The new number of columns.

#### Return value

Type: `gboolean`

TRUE on success.